Loading...
Searching...
No Matches
SpectrumUpdateEvent Class Reference

`#include <gnuradio/qtgui/spectrumUpdateEvents.h>`

## Public Member Functions

| SpectrumUpdateEvent (const float *fftPoints, const uint64_t numFFTDataPoints, const double *realTimeDomainPoints, const double *imagTimeDomainPoints, const uint64_t numTimeDomainDataPoints, const gr::high_res_timer_type dataTimestamp, const bool repeatDataFlag, const bool lastOfMultipleUpdateFlag, const gr::high_res_timer_type generatedTimestamp, const int droppedFFTFrames)
| ~SpectrumUpdateEvent () override
const float * | getFFTPoints () const
const double * | getRealTimeDomainPoints () const
const double * | getImagTimeDomainPoints () const
uint64_t | getNumFFTDataPoints () const
uint64_t | getNumTimeDomainDataPoints () const
gr::high_res_timer_type | getDataTimestamp () const
bool | getRepeatDataFlag () const
bool | getLastOfMultipleUpdateFlag () const
gr::high_res_timer_type | getEventGeneratedTimestamp () const
int | getDroppedFFTFrames () const

## Constructor & Destructor Documentation

## SpectrumUpdateEvent()

SpectrumUpdateEvent::SpectrumUpdateEvent | ( | const float * | fftPoints,
|  | const uint64_t | numFFTDataPoints,
|  | const double * | realTimeDomainPoints,
|  | const double * | imagTimeDomainPoints,
|  | const uint64_t | numTimeDomainDataPoints,
|  | const gr::high_res_timer_type | dataTimestamp,
|  | const bool | repeatDataFlag,
|  | const bool | lastOfMultipleUpdateFlag,
|  | const gr::high_res_timer_type | generatedTimestamp,
|  | const int | droppedFFTFrames )

## ~SpectrumUpdateEvent()

SpectrumUpdateEvent::~SpectrumUpdateEvent | ( |  | ) |

override

## Member Function Documentation

## getDataTimestamp()

gr::high_res_timer_type SpectrumUpdateEvent::getDataTimestamp | ( |  | ) | const

## getDroppedFFTFrames()

int SpectrumUpdateEvent::getDroppedFFTFrames | ( |  | ) | const

## getEventGeneratedTimestamp()

gr::high_res_timer_type SpectrumUpdateEvent::getEventGeneratedTimestamp | ( |  | ) | const

## getFFTPoints()

const float * SpectrumUpdateEvent::getFFTPoints | ( |  | ) | const

## getImagTimeDomainPoints()

const double * SpectrumUpdateEvent::getImagTimeDomainPoints | ( |  | ) | const

## getLastOfMultipleUpdateFlag()

bool SpectrumUpdateEvent::getLastOfMultipleUpdateFlag | ( |  | ) | const

## getNumFFTDataPoints()

uint64_t SpectrumUpdateEvent::getNumFFTDataPoints | ( |  | ) | const

## getNumTimeDomainDataPoints()

uint64_t SpectrumUpdateEvent::getNumTimeDomainDataPoints | ( |  | ) | const

## getRealTimeDomainPoints()

const double * SpectrumUpdateEvent::getRealTimeDomainPoints | ( |  | ) | const

## getRepeatDataFlag()

bool SpectrumUpdateEvent::getRepeatDataFlag | ( |  | ) | const

The documentation for this class was generated from the following file:

- spectrumUpdateEvents.h